# webserver-nginx

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-webserver-nginx/status.svg)](https://drone.asperti.com/paspo/docker-webserver-nginx)

Small webserver with PHP support and SFTP access

## usage

Use this `docker-compose.yaml`

```yaml
services:
  web:
    image: docker.asperti.com/paspo/webserver-nginx
    ports:
      - 8888:80
      - 2222:22
    volumes:
      - ./www:/data/www
      - ./ssh:/ssh # add authorized_keys file here
      - ./extra_nginx.conf:/etc/nginx/custom.d/extra.conf # optional
    environment:
      PHP: php84 # none (default), php82, php83, php84
      PUID: 1000 # default: 1000
      PGID: 1000 # default: 1000
      TZ: Etc/UTC  # default: Etc/UTC
      FPM_MAX_CHILDREN: 5 # default: 5
      FPM_START_SERVERS: 1 # default: 1
      FPM_MIN_SPARE_SERVERS: 1 # default: 1
      FPM_MAX_SPARE_SERVERS: 3 # default: 3      
```

The `/data/www` directory and its contents will be chowned to `$PUID:$PGID` and chmodded to `0755` for directories and `0644` for files at container start.
